Bug 1027337 - [abrt] libreoffice-core-4.1.3.2-2.fc19: cppu::loadSharedLibComponentFactory: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-4.1.3.2-2.fc19: cppu::loadSharedLibComponentFactory: ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aa70b9e8db3be44b9c7aca8719b...
:
: 928494 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 10:22 EST by Arg
Modified: 2015-01-13 15:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-13 15:55:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.81 KB, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: core_backtrace (16.21 KB, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: dso_list (23.10 KB, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: environ (1.93 KB, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: maps (116.92 KB, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: open_fds (776 bytes, text/plain)
2013-11-06 10:22 EST, Arg
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-11-06 10:23 EST, Arg
no flags Details
File: var_log_messages (308 bytes, text/plain)
2013-11-06 10:23 EST, Arg
no flags Details

  None (edit)
Description Arg 2013-11-06 10:22:05 EST
Version-Release number of selected component:
libreoffice-core-4.1.3.2-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/user/Dropbox/Appli%20Livraison/Erreurs%20Appli%20Livraison.odt --splash-pipe=5
crash_function: cppu::loadSharedLibComponentFactory
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 cppu::loadSharedLibComponentFactory at /usr/src/debug/libreoffice-4.1.2.3/cppuhelper/source/shlib.cxx:503
 #7 cppuhelper::ServiceManager::loadImplementation at /usr/src/debug/libreoffice-4.1.2.3/cppuhelper/source/servicemanager.cxx:655
 #8 cppuhelper::ServiceManager::findServiceImplementation at /usr/src/debug/libreoffice-4.1.2.3/cppuhelper/source/servicemanager.cxx:1667
 #9 cppuhelper::ServiceManager::createInstanceWithArgumentsAndContext at /usr/src/debug/libreoffice-4.1.2.3/cppuhelper/source/servicemanager.cxx:814
 #10 cppuhelper::ServiceManager::createInstanceWithArguments at /usr/src/debug/libreoffice-4.1.2.3/cppuhelper/source/servicemanager.cxx:756
 #11 framework::UIControllerFactory::createInstanceWithArgumentsAndContext at /usr/src/debug/libreoffice-4.1.2.3/framework/source/uifactory/uicontrollerfactory.cxx:155
 #12 framework::MenuBarManager::CreatePopupMenuController at /usr/src/debug/libreoffice-4.1.2.3/framework/source/uielement/menubarmanager.cxx:1208
 #13 framework::MenuBarManager::Activate at /usr/src/debug/libreoffice-4.1.2.3/framework/source/uielement/menubarmanager.cxx:957
 #14 Call at /usr/src/debug/libreoffice-4.1.2.3/include/tools/link.hxx:123
 #15 Menu::Activate at /usr/src/debug/libreoffice-4.1.2.3/vcl/source/window/menu.cxx:1037
Comment 1 Arg 2013-11-06 10:22:22 EST
Created attachment 820490 [details]
File: backtrace
Comment 2 Arg 2013-11-06 10:22:26 EST
Created attachment 820491 [details]
File: cgroup
Comment 3 Arg 2013-11-06 10:22:30 EST
Created attachment 820492 [details]
File: core_backtrace
Comment 4 Arg 2013-11-06 10:22:37 EST
Created attachment 820493 [details]
File: dso_list
Comment 5 Arg 2013-11-06 10:22:41 EST
Created attachment 820494 [details]
File: environ
Comment 6 Arg 2013-11-06 10:22:45 EST
Created attachment 820495 [details]
File: limits
Comment 7 Arg 2013-11-06 10:22:53 EST
Created attachment 820496 [details]
File: maps
Comment 8 Arg 2013-11-06 10:22:56 EST
Created attachment 820497 [details]
File: open_fds
Comment 9 Arg 2013-11-06 10:23:05 EST
Created attachment 820498 [details]
File: proc_pid_status
Comment 10 Arg 2013-11-06 10:23:12 EST
Created attachment 820499 [details]
File: var_log_messages
Comment 11 David Tardon 2013-11-11 05:32:09 EST
What were you doing when it crashed? Can you reproduce the crash in the same way?
Comment 12 David Tardon 2013-11-11 05:32:28 EST
*** Bug 928494 has been marked as a duplicate of this bug. ***
Comment 13 Stephan Bergmann 2013-11-11 05:46:02 EST
(In reply to David Tardon from comment #11)
> What were you doing when it crashed? Can you reproduce the crash in the same
> way?

If yes:  From attachment 820496 [details] it appears that you have installed some "Installation.Antidote.LibreOffice.4.oxt" extension in LibreOffice.  Does the crash go away if you remove or disable that extension (and then restart LibreOffice)?
Comment 14 Arg 2013-11-11 06:59:13 EST
(In reply to Stephan Bergmann from comment #13)
> (In reply to David Tardon from comment #11)
> > What were you doing when it crashed? Can you reproduce the crash in the same
> > way?
> 
> If yes:  From attachment 820496 [details] it appears that you have installed
> some "Installation.Antidote.LibreOffice.4.oxt" extension in LibreOffice. 
> Does the crash go away if you remove or disable that extension (and then
> restart LibreOffice)?

I haven't been able to reproduced the crash. It only happened once, nearly a week ago. I completely forgot about the Antidote plugin. You are right, it may be the cause of the crash. Antidote is a third party grammatical corrector and it requires a plugin for its integration to LibreOffice (http://www.druide.com/a_english.html).
Comment 15 Arg 2013-11-11 10:29:28 EST
EDIT : okay, it just happened again while I was formatting some cells with Calc. I deleted the Antidote plugin and I'll see if it crash again.
Comment 16 Fedora End Of Life 2015-01-09 15:29:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.